﻿// Events.cs

using System;

namespace WaveLib
{
    /// <summary>
    /// Argument sent through the WaveChangedEvent
    /// </summary>
    public class WaveChangedEventArgs : EventArgs
    {
        /// <summary>
        /// The current state of the Wave controllers
        /// </summary>
        public WaveState WaveState;

        /// <summary>
        /// Constructor
        /// </summary>
        /// <param name="ws">Wave state</param>
        public WaveChangedEventArgs(WaveState ws)
        {
            WaveState = ws;
        }
    }
}
